export declare class DateHelper {
    /**
     * Format date to 'yyyy-MM-dd' format
     * @param day
     */
    static formatIsoDate(day: Date | string): string;
    /**
     * Verify if both dates are the same day
     * @param day1
     * @param day2
     */
    static areDatesEqual(day1: Date | string, day2: Date | string): boolean;
    /**
     * Checks if candidate is in range between startRange and endRange including both limits
     * @param candidate
     * @param startRange
     * @param endRange
     */
    static isInRange(candidate: Date | string, startRange: Date | string, endRange: Date | string): boolean;
    /**
     * Checks if day1 is greater than day 2
     * @param day1
     * @param day2
     */
    static isGreater(day1: Date | string, day2: Date | string): boolean;
    /**
     * Checks if day1 is greater or equal than day 2
     * @param day1
     * @param day2
     */
    static isGreaterOrEqual(day1: Date | string, day2: Date | string): boolean;
    /**
     * Get today date at 00:00h
     */
    static today(): Date;
    /**
     * Resets time part from Date object to 00:00:00.000h
     */
    static resetTime(date: Date | string): void;
    static ensureDateObject(date: Date | string): Date;
}
